//*****************************************************************************************
// MAIN load (executed only 1 time)
//*****************************************************************************************
function foxfm_load() 
{
	strengthPoints = foxfm_getOFMStrengthLevel();
	teamName = foxfm_getMaxOFMTeamName();
	window.addEventListener('DOMContentLoaded', foxfm_run, true);
	window.addEventListener('popupshowing', foxfm_initPopupMenu, true);	
}

function foxfm_run(event) 
{
	try 
	{
		var doc = event.originalTarget;
		if (doc.nodeType != doc.DOCUMENT_NODE) 
		{
			doc = doc.ownerDocument;
		}		
		if (!doc || doc == null || doc.location == null) 
		{
			return;
		}
		if (doc.location.href.match("onlinefussballmanager"))
		{
			foxfm_arm(doc);
			foxfm_team(doc);
			foxfm_team_training(doc);
			foxfm_tm_pros(doc);
			foxfm_tm_amas(doc);
		}
	} catch (e) {
		exceptionHandler(e);
	}
}

function foxfm_initPopupMenu() {
	// foxfm_loadOFMStrengthLevel();
	//alert("foxfm: foxfm_initPopupMenu");
}

// start foxfm
foxfm_load();